PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT > Struct Template Reference
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >:
[legend]

## Public Member Functions
| AveragedData (const FreeCarrierGainSolver2D< GeometryT > *solver, const char *name, const shared_ptr< const MeshAxis > &haxis, const ActiveRegionInfo &region)
size_t | size () const
double | operator[] (size_t i) const

## Public Attributes
shared_ptr< const RectangularMesh< 2 > > | mesh
LazyData< double > | data
double | factor
const FreeCarrierGainSolver2D< GeometryT > * | solver
const char * | name

## Detailed Description

template<typename GeometryT>
template<typename GeometryT>
template<typename GeometryT>
struct plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >

Definition at line 173 of file freecarrier2d.cpp.

## Constructor & Destructor Documentation

## ◆ AveragedData()

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::AveragedData | ( | const FreeCarrierGainSolver2D< GeometryT > * | solver,
|  | const char * | name,
|  | const shared_ptr< const MeshAxis > & | haxis,
|  | const ActiveRegionInfo & | region
| ) |  |
| inline

Definition at line 180 of file freecarrier2d.cpp.

## Member Function Documentation

## ◆ operator[]()

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

double plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::operator[] | ( | size_t | i | ) | const
| inline

Definition at line 200 of file freecarrier2d.cpp.

## ◆ size()

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::size | ( |  | ) | const
| inline

Definition at line 198 of file freecarrier2d.cpp.

## Member Data Documentation

## ◆ data

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

LazyData<double> plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::data

Definition at line 175 of file freecarrier2d.cpp.

## ◆ factor

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

double plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::factor

Definition at line 176 of file freecarrier2d.cpp.

## ◆ mesh

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

shared_ptr<const RectangularMesh<2> > plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::mesh

Definition at line 174 of file freecarrier2d.cpp.

## ◆ name

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

const char* plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::name

Definition at line 178 of file freecarrier2d.cpp.

## ◆ solver

template<typename GeometryT >
template<typename GeometryT >
template<typename GeometryT >

const FreeCarrierGainSolver2D<GeometryT>* plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >::AveragedData< GeometryT >::solver

Definition at line 177 of file freecarrier2d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier2d.cpp